is.ultrametric {ape} | R Documentation

## Test if a Tree is Ultrametric

### Description

This function computes the distances from each tip to the root: if the variance of these distances is null, the tree is considered as ultrametric.

### Usage

    is.ultrametric(phy, tol = .Machine$double.eps^0.5)

### Arguments

`phy` | an object of class `"phylo"`.
`tol` | a numeric >= 0, variation below this value are considered non-significant (see details).

### Details

The default value for `tol` is based on the numerical characteristics of the machine R is running on.

### Value

a logical: `TRUE` if the tree is ultrametric, `FALSE` otherwise.

### Author(s)

Emmanuel Paradis

### See Also

`is.binary.tree`, `.Machine`

[Package ape version 3.5 Index]